Simulating Guidewires in Blood Vessels using Cosserat Rod Theory |

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
GuidewireSim.UpdateStep Class Reference
Inheritance diagram for GuidewireSim.UpdateStep:

## Public Member Functions
Vector3[] | UpdateSphereVelocities (Vector3[] sphereVelocities, int spheresCount, Vector3[] spherePositionPredictions, Vector3[] spherePositions)
Vector3[] | UpdateSpherePositions (Vector3[] spherePositions, int spheresCount, Vector3[] spherePositionPredictions)
Vector3[] | UpdateCylinderAngularVelocities (Vector3[] cylinderAngularVelocities, int cylinderCount, BSM.Quaternion[] cylinderOrientations, BSM.Quaternion[] cylinderOrientationPredictions)
BSM.Quaternion[] | UpdateCylinderOrientations (BSM.Quaternion[] cylinderOrientations, int cylinderCount, BSM.Quaternion[] cylinderOrientationPredictions)

## Private Member Functions
void | Awake ()

## Private Attributes
MathHelper | mathHelper
| The component MathHelper that provides math related helper functions. More...

## Detailed Description

This class implements the update step of the algorithm.

## Member Function Documentation

## ◆ Awake()

void GuidewireSim.UpdateStep.Awake | ( |  | ) |
| private

## ◆ UpdateCylinderAngularVelocities()

Vector3[] GuidewireSim.UpdateStep.UpdateCylinderAngularVelocities | ( | Vector3[] | cylinderAngularVelocities,
|  | int | cylinderCount,
|  | BSM.Quaternion[] | cylinderOrientations,
|  | BSM.Quaternion[] | cylinderOrientationPredictions
| ) |  |

Updates the cylinder angular velocities for the update step of the simulation.

Parameters

  cylinderAngularVelocities | The angular velocity of the current frame of each orientation element/ cylinder.
  cylinderCount | The count of all cylinders of the guidewire. Equals the length of `cylinderOrientationPredictions`.
  cylinderOrientations | The orientation of each cylinder at its center of mass.
  cylinderOrientationPredictions | The prediction of the orientation of each cylinder at its center of mass.

Returns
  The angular velocity of the current frame of each orientation element/ cylinder, i.e. `cylinderAngularVelocities`.

## ◆ UpdateCylinderOrientations()

BSM.Quaternion[] GuidewireSim.UpdateStep.UpdateCylinderOrientations | ( | BSM.Quaternion[] | cylinderOrientations,
|  | int | cylinderCount,
|  | BSM.Quaternion[] | cylinderOrientationPredictions
| ) |  |

Updates the cylinder orientations given the current orientation predictions for the update step of the simulation.

Parameters

  cylinderOrientations | The orientation of each cylinder at its center of mass.
  cylinderCount | The count of all cylinders of the guidewire. Equals the length of `cylinderOrientationPredictions`.
  cylinderOrientationPredictions | The prediction of the orientation of each cylinder at its center of mass.

Returns
  The orientation of each cylinder at its center of mass, i.e. `cylinderOrientations`.

## ◆ UpdateSpherePositions()

Vector3[] GuidewireSim.UpdateStep.UpdateSpherePositions | ( | Vector3[] | spherePositions,
|  | int | spheresCount,
|  | Vector3[] | spherePositionPredictions
| ) |  |

Updates the sphere positions given the current position predictions.

Parameters

  spherePositions | The position at the current frame of each sphere.
  spheresCount | The count of all spheres of the guidewire. Equals the length of `spherePositionPredictions`.
  spherePositionPredictions | The prediction of the position at the current frame of each sphere (in this case of the last frame).

Returns
  The position at the current frame of each sphere, i.e. `spherePositions`.

## ◆ UpdateSphereVelocities()

Vector3[] GuidewireSim.UpdateStep.UpdateSphereVelocities | ( | Vector3[] | sphereVelocities,
|  | int | spheresCount,
|  | Vector3[] | spherePositionPredictions,
|  | Vector3[] | spherePositions
| ) |  |

Updates the sphere velocities given the current prediction and the current position.

Parameters

  sphereVelocities | The velocity of the current frame of each sphere.
  spheresCount | The count of all spheres of the guidewire. Equals the length of `spherePositionPredictions`.
  spherePositionPredictions | The prediction of the position at the current frame of each sphere (in this case of the last frame).
  spherePositions | The position at the current frame of each sphere.

Returns
  The velocity of the current frame of each sphere, i.e. `sphereVelocities`.

## Member Data Documentation

## ◆ mathHelper

MathHelper GuidewireSim.UpdateStep.mathHelper
| private

The component MathHelper that provides math related helper functions.

The documentation for this class was generated from the following file:

- UpdateStep.cs